/*
 * Copyright (c) 2015 LingoChamp Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.liulishuo.filedownloader.util;

import org.junit.Test;

import static org.assertj.core.api.Java6Assertions.assertThat;

public class FileDownloadUtilsTest {

    @Test
    public void parseContentDisposition() {
        String filename = FileDownloadUtils
                .parseContentDisposition("attachment; ...filename ii=\"hello world\"");
        assertThat(filename).isNull();
        filename = FileDownloadUtils
                .parseContentDisposition("attachment; filename=\"hello world\"");
        assertThat(filename).isEqualTo("hello world");
        filename = FileDownloadUtils
                .parseContentDisposition("attachment; filename=genome.jpeg\nabc");
        assertThat(filename).isEqualTo("genome.jpeg");
    }

}